Summary:	A program for performing checks against RBL-style blacklists.
Name:		rblcheck
Version:	1.5
Release:	6mdk
License:	GPL
Group:		Networking/Other
URL:		http://rblcheck.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-sites.patch.bz2
BuildRequires:	docbook-utils
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Rblcheck is a lightweight C program for performing checks against
RBL-style IP address blacklists. It works well in conjunction with
Procmail for filtering unwanted bulk email. 

This package also includes several tools that try to extract an
originating IP address from e-mail header.

See %{_bindir}/origip-* and the documentation

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

# x86_86 fix
perl -pi -e "s|res_query|__res_query|g" configure*

%build
#export CFLAGS="%{optflags}"
#LDLIBS=-lresolv make 
%configure

%make

%make -C utils/qmail

%make -C docs html/index.html
mv docs/html/rblcheck html

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m755 rblcheck %{buildroot}%{_bindir}/
install -m755 utils/qmail/origip.awk %{buildroot}%{_bindir}/origip-qmail.awk
install -m755 utils/qmail/origip %{buildroot}%{_bindir}/origip-qmail
install -m755 utils/sendmail/origip.pl %{buildroot}%{_bindir}/origip-sendmail.pl

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README html utils/test*.sh
%{_bindir}/rblcheck
%{_bindir}/origip-*

%changelog
* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5-6mdk
- added one x86_86 fix

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-5mdk
- rpmbuildupdated

* Fri Jun 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5-4mdk
- updated P0
- added the html docs

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5-3mdk
- build release

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5-2mdk
- rebuilt with gcc-3.2

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5-1mdk
- new version
- rebuilt with gcc3.1
- added P0

* Wed Nov 28 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4-1mdk
- initial cooker contrib
- added P0
